Delete Failed Coupons by Batch
1 min
DELETE
https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}
batchIdstring<uuid>Unique identifier for batch.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-entries deleted.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request DELETE \
--url https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'